Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class AbstractTaggedInputMessage

    java.lang.Object
      com.skype.ipc.AbstractDecoder
          com.skype.ipc.AbstractTaggedInputMessage

Direct Known Subclasses:
  Event, Response

    public abstract class AbstractTaggedInputMessage

extends AbstractDecoder

Field Summary
`protected boolean` | `invalid`

Fields inherited from class com.skype.ipc.AbstractDecoder
`ioTransport, NULL_VALUE`

Constructor Summary
`AbstractTaggedInputMessage(Transport in)`

Method Summary
`protected void` | `addParm(int key, java.lang.Object o)`
`byte[]` | `GetAsBinary(int tag)`
`boolean` | `GetAsBoolean(int tag)`
`int` | `GetAsInt(int tag)`
`java.lang.String` | `GetAsString(int tag)`
`int` | `GetOid(int tag)`
`boolean` | `HasMore(int tag)`
`boolean` | `isValid()`
`protected java.lang.Object` | `validateAndGetParm(int tag)`

Methods inherited from class com.skype.ipc.AbstractDecoder
`decodeBinary, decodeBoolean, decodeList, decodeObjectid, decodeOneOfKind, decodeOneVaruint, decodeString, decodeVarint, decodeVaruint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### invalid

    protected boolean invalid

Constructor Detail

### AbstractTaggedInputMessage

    public AbstractTaggedInputMessage(Transport in)

Method Detail

### validateAndGetParm

    protected java.lang.Object validateAndGetParm(int tag)

### addParm

    protected void addParm(int key,
                           java.lang.Object o)

### isValid

    public boolean isValid()

### GetAsString

    public java.lang.String GetAsString(int tag)

### GetAsBinary

    public byte[] GetAsBinary(int tag)

### GetAsInt

    public int GetAsInt(int tag)

### GetAsBoolean

    public boolean GetAsBoolean(int tag)

### GetOid

    public int GetOid(int tag)

### HasMore

    public boolean HasMore(int tag)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.